/*
 * File: config.h
 * Date: 31.08.2012
 * Denis Zheleznyakov http://ziblog.ru
 */

#ifndef CONFIG_H_
#define CONFIG_H_

#define PIN_LCD_D0			C, 13, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_D1			A, 1, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_D2			A, 2, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_D3			A, 3, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_D4			A, 4, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_D5			A, 5, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_D6			A, 6, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_D7			A, 7, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_D8			A, 8, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_D9			A, 9, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_D10			A,10, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_D11			A,11, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_D12			A,12, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_D13			C,10, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_D14			C,11, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_D15			C,12, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ

#define PIN_LCD_IN_D0			C, 13, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ
#define PIN_LCD_IN_D1			A, 1, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ
#define PIN_LCD_IN_D2			A, 2, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ
#define PIN_LCD_IN_D3			A, 3, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ
#define PIN_LCD_IN_D4			A, 4, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ
#define PIN_LCD_IN_D5			A, 5, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ
#define PIN_LCD_IN_D6			A, 6, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ
#define PIN_LCD_IN_D7			A, 7, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ
#define PIN_LCD_IN_D8			A, 8, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ
#define PIN_LCD_IN_D9			A, 9, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ
#define PIN_LCD_IN_D10			A,10, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ
#define PIN_LCD_IN_D11			A,11, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ
#define PIN_LCD_IN_D12			A,12, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ
#define PIN_LCD_IN_D13			C,10, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ
#define PIN_LCD_IN_D14			C,11, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ
#define PIN_LCD_IN_D15			C,12, HIGH, MODE_INPUT_PULL_UP, SPEED_50MHZ

#define PIN_LCD_RST			B, 1,  LOW, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_CS			B, 7,  LOW, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_WR			B, 2,  LOW, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_RD			B, 6,  LOW, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_RS			B, 5, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ
#define PIN_LCD_BL			B, 0, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ

#define PIN_LED			C, 9, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_50MHZ

#define PIN_BUTTON		A, 0, HIGH, MODE_INPUT_FLOATING, SPEED_50MHZ

#endif /* CONFIG_H_ */
