/*
 * File: system_init.c
 * Date: 31.08.2012
 * Denis Zheleznyakov http://ziblog.ru
 */

#include "main.h"

//------------------------------------------------------------------------------
inline static void gpio(void)
{
	// светодиод
	PIN_CONFIGURATION(PIN_LED);

	// кнопка
	PIN_CONFIGURATION(PIN_BUTTON);

	// ЖКИ
	PIN_CONFIGURATION(PIN_LCD_RST);
	PIN_CONFIGURATION(PIN_LCD_CS);
	PIN_CONFIGURATION(PIN_LCD_RD);
	PIN_CONFIGURATION(PIN_LCD_RS);
	PIN_CONFIGURATION(PIN_LCD_WR);
	PIN_CONFIGURATION(PIN_LCD_BL);

	PIN_CONFIGURATION(PIN_LCD_D0);
	PIN_CONFIGURATION(PIN_LCD_D1);
	PIN_CONFIGURATION(PIN_LCD_D2);
	PIN_CONFIGURATION(PIN_LCD_D3);
	PIN_CONFIGURATION(PIN_LCD_D4);
	PIN_CONFIGURATION(PIN_LCD_D5);
	PIN_CONFIGURATION(PIN_LCD_D6);
	PIN_CONFIGURATION(PIN_LCD_D7);
	PIN_CONFIGURATION(PIN_LCD_D8);
	PIN_CONFIGURATION(PIN_LCD_D9);
	PIN_CONFIGURATION(PIN_LCD_D10);
	PIN_CONFIGURATION(PIN_LCD_D11);
	PIN_CONFIGURATION(PIN_LCD_D12);
	PIN_CONFIGURATION(PIN_LCD_D13);
	PIN_CONFIGURATION(PIN_LCD_D14);
	PIN_CONFIGURATION(PIN_LCD_D15);
}

//------------------------------------------------------------------------------
inline static void clock(void)
{
	RCC_HCLKConfig(RCC_SYSCLK_Div1);

	// включение тактирования необходимых модулей
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA | RCC_APB2Periph_GPIOB | RCC_APB2Periph_GPIOC | RCC_APB2Periph_GPIOD, ENABLE);
}

//------------------------------------------------------------------------------
void SystemInit(void)
{
	clock();

	gpio();
}
